Skip to content
For the complete documentation index, see llms.txt. This page is also available as Markdown.

/axelar/nexus/v1beta1/transfer_fee - Axelar

Example code for the axelar/nexus/v1beta1/transfer_fee REST method. Complete guide on how to use axelar/nexus/v1beta1/transfer_fee REST method in GetBlock Web3 documentation.

Returns the fee Axelar charges to move an amount of an asset from a source chain to a destination chain.

Endpoint

GET /axelar/nexus/v1beta1/transfer_fee

Query Parameters

Parameter
Type
Description

source_chain

string

Source chain name

destination_chain

string

Destination chain name

amount

string

Amount with denom, e.g. 1000000uaxl

Example

export AXELAR_REST=https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/

curl "${AXELAR_REST}axelar/nexus/v1beta1/transfer_fee?source_chain=ethereum&destination_chain=osmosis&amount=1000000uaxl"

Response

{
    "fee": {
        "denom": "uaxl",
        "amount": "1000"
    }
}

Response Fields

Field
Type
Description

fee

object

Transfer fee as {denom, amount}

Use Cases

  • Fee Preview: Show the cross-chain transfer fee

  • Routing: Budget a cross-chain transfer

Error Handling

Error
Message
Description

400 / Bad request

Bad request

A parameter was invalid

403 / RBAC: access denied

Access denied

The GetBlock access token is missing or incorrect

Last updated

Was this helpful?